Doomsday Engine - Bug #2313

GLFramebuffer: Required GL_ARB_framebuffer_object is missing! ...
2018-12-29 20:35 - frpet1

Status: Closed Start date: 2018-12-29
Priority: Normal % Done: 0%
Assignee:

Category: 3rd party compatibility

Target version:

Description

Hi, I'm trying to run Doomsday Engine on some old MacOSX 10.6 systems (because why not), but it all ends with error of $subject.
Even thought 1.14.x (and previous versions) should be supported on MacOSX 10.6.x it seems not to work on iMacs with ATl X1600
running macosx 10.6.

(I've also tried installing previous releases 1.10.x -> 1.14.x but they all end up with the same error.)

| see there's a similar issue that has been reported 4 years ago, same error message, but different OS and Graphics card (Windows
& Intel)

https://tracker.dengine.net/issues/1977, and this issue was also fixed in 1.15.4, but this version already

The Macs I've tested on are is various iMacs (intel-based) with ATI X1600 graphics card (OpenGL is 2.0)

So all fits well with the minimum requirements.

Unfortunately Google won't point me to an solution for getting it started, and | can't find any bug/problem or forum post that hints on
what could be wrong.
(Attaching full output from -vvv if that could be useful, btw | also tested added -nofsaa from #1977 too)

Most of the MacOSX versions tested are downloads from sourceforge.net and are named doomsday_1.<version>_mac10_6.dmg

| realise this is not an important issue/bug to solve, but if | could get hints on how to workaround this issue (without upgrading OS, as
these old Mac doesn't support more modern MacOSX) I'd be grateful :)

The error message of interest:

Executable: Doomsday Engine 1.14.3 (Stable 64-bit #1230) May 15 2014 09:43:49
Command line options:
0: ../Doomsday.app/Contents/MacOS/Doomsday
—vdmap
/Applications/Doomsday Engine.app/Contents/Doomsday.app/Contents/Resources
}Data/
—vdmap
/Applications/Doomsday Engine.app/Contents/Resources/../Doomsday.app/Contents/

g w N

DengPlugins/doom.bundle/Contents/Resources/
}Data/jDoom/
7: —-vdmap

(o))

8: /Applications/Doomsday Engine.app/Contents/Resources/../Doomsday.app/Contents/
DengPlugins/heretic.bundle/Contents/Resources/

9: }Data/jHeretic/

10: —-vdmap

11: /Applications/Doomsday Engine.app/Contents/Resources/../Doomsday.app/Contents/

DengPlugins/hexen.bundle/Contents/Resources/

12: }Data/jHexen/

13: -basedir

14: /Applications/Doomsday Engine.app/Contents/Doomsday.app/Contents/Resources/

15: —-sfxchan

16: 16

17: —-notexcomp

18: —game

19: heretic

20: —iwad

21: /Applications/Doomsday/Heretic.wad
22: —wnd

23: -nofsaa

24: —vvv
25: -userdir
26: /Users/DEuser/Library/Application Support/Doomsday Engine/runtime/
RenderSystem: Loading shader definitions from read-only archive entry "data/renderer.pack/
shaders.dei" [path "/data/doomsday.pk3/data/renderer.pack/shaders.dei"]
from archive in read-only " (basedir)/doomsday.pk3"

Canvas: Received first show event, scheduling GL ready notification

Recycling 5485 allocations/instances

GLFramebuffer: Required GL_ARB_framebuffer_object is missing!

~ Reconfiguring framebuffer: (1008, 630) ms:1

~ > GLTarget: Creating FBO 1

~ : FBO 1: glTex 1 (level 0) => attachment 0

~ : FBO 1l: glTex 2 (level 0) => attachment 1

GLFramebuffer: Texture-based framebuffer failed: [ConfigError] (GLTarget::validate)

Unsupported

Trying fallback without depth/stencil texture

~ > GLTarget: Creating FBO 1

~ : FBO 1: glTex 1 (level 0) => attachment 0

~ : FBO 1: depth+stencil renderbuffer (1008, 630)

(GLTarget::validate) Unsupported

Dir: Changing current directory to "/Users/DEuser/Library/Application Support/Doomsday
Engine/runtime/" succeeded

Application terminated due to exception:

(GLTarget::validate) Unsupported

Restoring original display mode due to shutdown
DisplayMode: Requested mode is the same as current, ignoring request

Tnx

History

#1 - 2018-12-30 00:29 - frpet1
- File Doomsday 32-bit.txt added
- File Doomsday 32-bit vvv.txt added

Commenting on my own issue. | noted that Doomsday writes that it's launched as 64-bit.

| wonder if this is a Mach-O bug itself, because the systems | have are all i386.

Launching Doomsday.app prepended with "arch -i386 ..." doesn't seem to help though.

Attaching the logs from those launch sessions too.

(Found this post https:/talk.dengine.net/discussion/2587/bad-alloc-on-mac-0s-x-10-6-8-with-doomsday-engine-1-14-0 and tested with those
parameters too, but it didn't work either...)

iMac20-3:Doomsday admin$ arch -i386 /Applications/Doomsday\ Engine.app/Contents/Doomsday.app/Contents/MacOS/Do

omsday -stddir . -game Jjdoom -file ./Doom.wad -userdir . [...]
Application path: /Applications/Doomsday Engine.app/Contents/Doomsday.app/Contents/Mac0OS/
Doomsday

Created a new 32,0 MB memory volume.
Executable: Doomsday Engine 1.14.3 (Stable 32-bit #1230) May 15 2014 09:43:58

Canvas: Received first show event, scheduling GL ready notification

Recycling 5485 allocations/instances

GLFramebuffer: Reconfiguring framebuffer: (1024, 768) ms:1

~ > GLTarget: Creating FBO 1

~ ¢ FBO 1: glTex 1 (level 0) => attachment 0

~ : FBO 1: glTex 2 (level 0) => attachment 1

~ : Creating FBO 1

~ ¢ FBO 1: glTex 1 (level 0) => attachment 0

~ : FBO 1l: depth+stencil renderbuffer (1024, 768)

GLFramebuffer: Required GL_ARB_framebuffer_object is missing!

n Texture-based framebuffer failed: [ConfigError] (GLTarget::validate) Unsupported
Trying fallback without depth/stencil texture

(GLTarget::validate) Unsupported

Dir: Changing current directory to "/Users/admin/Downloads/Doomsday/" succeeded
Application terminated due to exception:
(GLTarget::validate) Unsupported

Restoring original display mode due to shutdown
DisplayMode: Requested mode is the same as current, ignoring request
Broadcasting 19 bytes
Broadcasting 19 bytes
Shutting down the console...
Z_Shutdown: Used 1 volumes, total 33554432 bytes.
Nlerary Unloadlng " (app) /DengPlugins/dehread.bundle/dehread"
~ : Unloading " (app)/DengPlugins/doom.bundle/doom"
' (app) /DengPlugins/heretic.bundle/heretic"
(app) /DengPlugins/hexen.bundle/hexen"
: Unloading " (app) /DengPlugins/savegameconverter.bundle/savegameconverter"
~ : Unloading " (app)/DengPlugins/wadmapconverter.bundle/wadmapconverter"

~ : Unloading "
: Unloading "

~

~

#2 - 2018-12-30 16:43 - skyjake

Can't think of anything that would help here... If the OpenGL driver does not provide the required extensions, Doomsday cannot launch.

Any of the even older versions work for you? E.g., 1.9.10

#3 - 2018-12-30 19:02 - frpet1

| have some updates: | noted a problem with the way the mac installer works

If you install an older version of Doomsday, it wont replace the Doomsday.app, at least not always.

Yes, | tried 1.9.x but it gives a black screen (works fine on my older PPC-mac though), same as 1.10 in 32-bit mode,
1.11-1.12 gives the title screen of the game + inital sound, but then it bugs out after a while...

1.13-1.14 give the error I've reported.

| can pull the previous versions errors out to see if there anything in there that might cast some light on the issue.

Anyway, | just purchased a slightly newer (but old & used) iMac for ~€100, and on that it works perfectly :)

#4 - 2018-12-30 22:49 - frpet1

After further testing it turns out that exactly 1.9.8-1 works on MacOSX 10.6 on iMac(s) with ATI X1600.
Looks like this version uses j... instead of lib... and the graphics doesn't look like it's accelerated though the video card.
1.9.9-1.9.10-1 doesn't (black screen, that ends with a "std:bad_alloc" message).

| guess this is how far we all are willing to put time into this... let me know if you want me to check anything from the later versions if that might help to
fix future versions or so...

#5 - 2019-01-04 13:31 - skyjake

- Status changed from New to Closed

Files

Doomsday 1.14.3 MacOSX 10.6.txt 327 KB 2018-12-29 frpett
Doomsday 32-bit.txt 1.52 KB 2018-12-30 frpett
Doomsday 32-bit vvv.ixt 327 KB 2018-12-30 frpett
